<?php

require_once('/usr/fallback/beroConf.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ProvisioningSetConfiguration';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['Mode']) || !isset($this->_get['Url'])) {
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			return($this->_execResult);
		}

		if (!in_array($this->_get['Mode'], array('off', 'once', 'always'))) {
			$this->_execResultString = 'error:parameter_mode_invalid';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$bc = new beroConf('root');
		$bc->set('root', 'provisioning_manual', '1');
		$bc->set('root', 'provisioning_mode', sqlite_escape_string($this->_get['Mode']));
		$bc->set('root', 'provisioning_url', sqlite_escape_string($this->_get['Url']));

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
