<?php
/**
 * Klasse gsm_general
 * Zeigt allgemeine gsm Einstellungen
 */

class GsmGeneral {
	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display() {

		// args
		$m = $_GET['m'];

		require_once('/usr/fallback/beroConf.php');
		// build page content
                $name="GSM_GENERAL_TITLE_DIS";
		include('./includes/header.php');
		$gsm_sms_table = $this->dynamic_table();
		$ret .= "<form class='extensions_form' name='gsm_gen' id='gsm_gen' action='' method='POST' ENCTYPE=\"multipart/form-data\" >
                    <input type=hidden name=m value='" . $m . "'>
                    <input type=hidden name=a value='save'>
                    <br>
                    " . $gsm_sms_table;
                $ret.='<script>
                    $("#gsm_gen").validate();
                    </script>';
		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}



	/*
	 * Smtp port wird zurückgegeben, falls in der Datenbank keinen Wert
	 * vorhanden ist, wird 60 als default zurückgegeben
	 */
	function smtp_port(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'smtp_port')!="")	return $bc->get("root", 'smtp_port');
		else return 25;
	}

	/*
	 * POP3 port wird zurückgegeben, falls in der Datenbank keinen Wert
	 * vorhanden ist, wird 60 als default zurückgegeben
	 */
	function pop3_port(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'pop3_port')!="")	return $bc->get("root", 'pop3_port');
		else return 110;
	}

	/*
	 * smgw-enabled wird zurückgegeben, falls in der Datenbank keinen Wert
	 * vorhanden ist, wird 60 als default zurückgegeben
	 */
	function smgw_enabled(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'smgw-enabled')==1)	return "checked";
		else return "";
	}
	/*
	 * smgw_use_ssl wird zurückgegeben
	 */
	function smgw_use_ssl(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'smgw_use_ssl')==1)	return "checked";
		else return "";
	}
	
	function codec($option,$port) {
		$options = explode("|", $option);
		$checkbox="<fieldset class='alignleft'>";
		(in_array("1", $options) || $option=="") ? $checked = "checked" : $checked = "";
		$checkbox.="<div><input type='checkbox' name='codec".$port."[]'  value='1' $checked>&nbsp;full&nbsp;rate&nbsp;mode</div>";
		(in_array("2", $options) || $option=="") ? $checked = "checked" : $checked = "";
		$checkbox.="<div><input type='checkbox' name='codec".$port."[]'  value='2' $checked>&nbsp;enhanced&nbsp;full&nbsp;rate&nbsp;mode</div>";
		(in_array("4", $options) || $option=="") ? $checked = "checked" : $checked = "";
		$checkbox.="<div><input type='checkbox' name='codec".$port."[]'  value='4' $checked>&nbsp;half&nbsp;rate&nbsp;mode</div>";
		(in_array("8", $options) || $option=="") ? $checked = "checked" : $checked = "";
		$checkbox.="<div><input type='checkbox' name='codec".$port."[]'  value='8' $checked>&nbsp;AMR&nbsp;full&nbsp;rate&nbsp;mode</div>";
		(in_array("16", $options) || $option=="") ? $checked = "checked" : $checked = "";
		$checkbox.="<div><input type='checkbox' name='codec".$port."[]'  value='16' $checked>&nbsp;AMR&nbsp;half&nbsp;rate&nbsp;mode</div>";
		$checkbox.="</fieldset>";
		return $checkbox;
	}
        
        function save($ba){
            $id=$_POST['id_upd'];
            for ($i=0;$i<count($id);$i++){
                    $id_upd=$id[$i];
                    $pin="pin".$id_upd;
                    $pin_id=$_POST[$pin];
                    $smsc="smsc".$id_upd;
                    $smsc_id=$_POST[$smsc];
		    $codec="codec".$id_upd;
			$codec_id="";
			if (is_array($_POST[$codec])) {
				foreach ($_POST[$codec] as $value){
					$codec_id .=($codec_id == "") ? "" : "|";
					$codec_id.=$value;					
				}
			}
                    $ba=new beroAri();
                    $query_upd = $ba->update("UPDATE gsm SET pin='".sqlite_escape_string ($pin_id)."', smsc='".sqlite_escape_string ($smsc_id)."', codec='".sqlite_escape_string ($codec_id)."' WHERE port='".sqlite_escape_string ($id_upd)."'");
            }
            $table.=Helper::activate(2,true,$_GET['m'],ACTIVATE);
            return $table;
        }


	/*
	 * Funktion dynamic_table
	 */

	function dynamic_table() {
		//Die geänderten Werte werden gespeichert
		$bc = new beroConf('root');

		require_once("./includes/lang.php");

		if (isset($_POST['id_upd'])){
                    $table.=$this->save($ba);
		}

		$ba=new beroAri();
		if($ba->get('gui_mode')=='simple') $simple_class='simple';
		$q=$ba->select("select type, lif, master from gsm group by type,lif, master order by lif;");
                $table.="<br/><table class='contenttoc' width='90%'>
					<tr><th colspan='4'><center>".GSM_GENERAL_TABLE_HEADER_DIS."
					</center></th></tr>";
		while ($ent=$ba->fetch_array($q)){

		//GSM
			$query=$ba->select("select * from gsm where lif='".$ent['lif']."'");
			while ($entry=$ba->fetch_array($query)){
				$table.="<tr>
				<td><b>".HARDWARE_PORT_DIS.":</b>&nbsp;".$entry['port']."&nbsp;</td>
				<td nowrap style='padding-left:5px; padding-right:5px;'><b>".HARDWARE_PIN_DIS.":</b>&nbsp;<input type='password' autocomplete='off' digits='true' minlength='4' maxlength='4' name='pin".$entry['port']."' id='pin".$entry['port']."' value='".$entry['pin']."' >
				<td nowrap><b>".HARDWARE_SMSC_DIS.":</b>&nbsp;<input type='text' name='smsc".$entry['port']."' id='smsc".$entry['port']."' value='".$entry['smsc']."' checkPhoneNumber='true'>
				<input type=hidden name=id_upd[] value=".$entry['port'].">
				</td>
				<td class='$simple_class' nowrap><b>".GSM_GENERAL_CODEC_DIS.":</b>".$this->codec($entry['codec'],$entry['port'])." </td>";
			}

		}
                $table.="</table><br/>
					<div class='center'><input name='submit' type='submit' value='".BUTTON_SAVE."' ></div>
					</form>";



		//Rückgabe: Erzeugte Tabelle mit den änderbaren Feldern von den Einstellungen von isgw.conf
		return $table;
	}

}
?>
