<?php
/**
 * Klasse Prosivioning
 * TFTP oder HTTP Einstellungen
 */

class Provisioning {
	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display() {
                $name="PROVISIONING_TITLE_DIS";
		include('./includes/header.php');

		$ret .=	'<script>' . "\n" .
			'function show_provopts (ch) {' . "\n" .
			'if (!ch) {' . "\n" .
			'document.getElementById(\'prov_mode\').style.display = \'none\';' . "\n" .
			'document.getElementById(\'prov_url\').style.display = \'none\';' . "\n" .
			'} else {' . "\n" .
			'document.getElementById(\'prov_mode\').style.display = \'\';' . "\n" .
			'document.getElementById(\'prov_url\').style.display = \'\';' . "\n" .
			'}' . "\n" .
			'}' . "\n" .
			'</script>' . "\n" .
			'<form class="extensions_form" name="provisioning" action="" method="POST">' . "\n" .
			$this->dynamic_table() .
			'<input type="hidden" name="m" value="' . $_GET['m'] . '" />' . "\n" .
			'<input type="hidden" name="a" value="save" />' . "\n" .
			'</form>' ."\n" .
			'<script>show_provopts(document.getElementById("prov_man").checked);</script>' . "\n";

		return($ret);
	}

	/*
	 * Funktion dynamic_table
	 */

	function dynamic_table() {
		require_once('./includes/lang.php');
		include('/usr/fallback/beroConf.php');

		$bc = new beroConf('root');

		$table = '';
		if ($_POST['action'] == 'save') {
			$bc->set('root', 'provisioning_manual', (isset($_POST['provisioning_manual']) ? '1' : '0'));

			if ($bc->get('root', 'provisioning_manual') == '1') {
				$bc->set('root', 'provisioning_mode', sqlite_escape_string($_POST['provisioning_mode']));
				$bc->set('root', 'provisioning_url', sqlite_escape_string($_POST['provisioning_url']));
			} else {
				$bc->set('root', 'provisioning_mode', 'off');
				$bc->delete('root', 'provisioning_url');
			}

			$table .= Helper::activate(3, true, $_GET['m'], ACTIVATE);
		}

		$selmode = $bc->get('root','provisioning_mode');
		$selauto = $bc->get('root','provisioning_auto');

		$table .=	'<table class="contenttoc" id="table">' ."\n" .
				'<tr>' . "\n" .
				'<th colspan="2">' . PROVISIONING_TABLE_HEADER_DIS . '</th>' . "\n" .
				'</tr>' . "\n" .
				'<tr>' . "\n" .
				'<td><b>' . PROVISIONING_MANUAL_DIS . ':</b></td>' . "\n" .
				'<td><input type="checkbox" name="provisioning_manual" id="prov_man"  onclick="show_provopts(document.getElementById(\'prov_man\').checked);" value="1"' . (($bc->get('root', 'provisioning_manual') == 1) ? ' checked' : '') . '/></td>' . "\n" .
				'</tr>' . "\n" .
				'<tr id="prov_mode">' . "\n" .
				'<td><b>' . PROVISIONING_MODE_DIS . ':</b></td>' . "\n" .
				'<td>' . "\n" .
				'<select name="provisioning_mode">' . "\n";

		foreach (array('off', 'once', 'always') as $mode) {
			$table .=	'<option value="' . $mode . '"' . (($mode == $selmode) ? ' selected': '') . '>' . $mode . '</option>' . "\n";
		}

		$table .=	'</select>' . "\n" .
				'</td>' . "\n" .
				'</tr>' . "\n" .
				'<tr id="prov_url">' . "\n" .
				'<td><b>' . PROVISIONING_URL_DIS . ':</b></td>' ."\n" .
				'<td><input type="text" name="provisioning_url" value="' . $bc->get('root','provisioning_url')  . '" /></td>' . "\n" .
				'</tr>' . "\n" .
				'<tr>' . "\n" .
				'<td colspan="2">' . "\n" .
				'<input type="hidden" name="action" value="save" />' . "\n" .
				'<input type="submit" name="submit" value="Save" />' . "\n" .
				'</td>' . "\n" .
				'</tr>' . "\n" .
				'</table>' . "\n";
		return($table);
	}
}
?>
